package com.huimv.devicedata.modular.serivice;

import java.util.Map;

/**
 * @Author yinhao
 * @Date 2021/4/6 14:07
 * @Description
 */
public interface DeviceDataService {

    /**
     * 设备数据变化分页展示
     *
     * @param pageNum
     * @param pageSize
     * @param keyword
     * @return
     */
    Map<String, Object> pageChange(Integer pageNum, Integer pageSize, String keyword);

    /**
     * 设备命令响应分页展示
     *
     * @param pageNum
     * @param pageSize
     * @param keyword
     * @return
     */
    Map<String, Object> pageResponse(Integer pageNum, Integer pageSize, String keyword);


    /**
     * 设备事件上报
     *
     * @param pageNum
     * @param pageSize
     * @param keyword
     * @return
     */
    Map<String, Object> pageIncidentReport(Integer pageNum, Integer pageSize, String keyword);


    /**
     * 设备上下线
     *
     * @param pageNum
     * @param pageSize
     * @param keyword
     * @return
     */
    Map<String, Object> pageUpAndDown(Integer pageNum, Integer pageSize, String keyword);
}
