package com.huimv.devicedata.modular.repo;

import com.huimv.devicedata.modular.entity.DeviceIncidentReportEntity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

/**
 * @author yinhao
 */
public interface DeviceIncidentReportRepository extends JpaRepository<DeviceIncidentReportEntity, Integer>, JpaSpecificationExecutor<DeviceIncidentReportEntity> {

    /**
     * 设备事件上报分页条件查询
     * @param start
     * @param pageSize
     * @param keyword
     * @return
     */
    @Query(nativeQuery = true,value = "select * from device_incident_report where tenant_id like %?3% limit ?1,?2")
    List<DeviceIncidentReportEntity> getDeviceIncidentReportListByPage(Integer start, Integer pageSize, String keyword);
}