package com.huimv.devicedata.modular.repo;

import com.huimv.devicedata.modular.entity.DeviceResponseEntity;
import com.huimv.devicedata.modular.entity.DeviceUpdataEntity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

/**
 * @author yinhao
 * @description
 */
public interface DeviceUpdataEntityRepository extends JpaRepository<DeviceUpdataEntity, Integer>, JpaSpecificationExecutor<DeviceUpdataEntity> {

    /**
     * 设备数据变化分页条件查询
     * @param start
     * @param pageSize
     * @param keyword
     * @return
     */
    @Query(nativeQuery = true,value = "select * from device_up_data where tenant_id like %?3% limit ?1,?2")
    List<DeviceUpdataEntity> getDeviceUpdataListByPage(Integer start, Integer pageSize, String keyword);

}