package com.huimv.devicedata.utils;

import org.springframework.stereotype.Component;

import java.math.BigDecimal;

/**
 * @Project : huimv.shiwan
 * @Package : com.huimv.biosafety.uface.controller
 * @Description : TODO
 * @Version : 1.0
 * @Author : ZhuoNing
 * @Create : 2020-12-25
 **/
@Component
public class MathUtil {
    
    /**
     * @Method      : formatDecimalNumber
     * @Description : 格式化小数精度，保留N位小数
     * @Params      : [inNum, n]
     * @Return      : double
     * 
     * @Author      : ZhuoNing
     * @Date        : 2021/4/7       
     * @Time        : 20:27
     */
    public double formatDecimalNumber(double inNum,int n){
        BigDecimal b   =   new   BigDecimal(inNum);
        return  b.setScale(n,   BigDecimal.ROUND_HALF_UP).doubleValue();
    }


}
